# Uses of Class
org.eclipse.jface.text.rules.RuleBasedScanner

Packages that use RuleBasedScanner
Package
Description
org.eclipse.jface.text.rules
Provides a framework for rule based text scanning and uses the framework to provide rule-driven default implementations of `IPresentationDamager`, `IPresentationRepairer` and `IDocumentPartitioner`.

## Uses of RuleBasedScanner in org.eclipse.jface.text.rules

Subclasses of RuleBasedScanner in org.eclipse.jface.text.rules
Modifier and Type
Class
Description
`class`
`BufferedRuleBasedScanner`
A buffered rule based scanner.
`class`
`RuleBasedPartitionScanner`
Scanner that exclusively uses predicate rules.
Fields in org.eclipse.jface.text.rules declared as RuleBasedScanner
Modifier and Type
Field
Description
`protected RuleBasedScanner`
RuleBasedPartitioner.`fScanner`
Deprecated.
The partitioner's scanner
Constructors in org.eclipse.jface.text.rules with parameters of type RuleBasedScanner
Modifier
Constructor
Description
``
`RuleBasedDamagerRepairer(RuleBasedScanner scanner)`
Deprecated.
Creates a damager/repairer that uses the given scanner.
``
`RuleBasedDamagerRepairer(RuleBasedScanner scanner, TextAttribute defaultTextAttribute)`
Deprecated.
use RuleBasedDamagerRepairer(RuleBasedScanner) instead
``
`RuleBasedPartitioner(RuleBasedScanner scanner, String[] legalContentTypes)`
Deprecated.
Creates a new partitioner that uses the given scanner and may return partitions of the given legal content types.